| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.NoFrillsDecoration

Portability | not portable
Stability | unstable
Maintainer | jan.vornberger@informatik.uni-oldenburg.de

Contents

Usage:

Description
Most basic version of decoration for windows without any additional modifications. In contrast to XMonad.Layout.SimpleDecoration this will result in title bars that span the entire window instead of being only the length of the window title.
Synopsis

noFrillsDeco :: (Eq a, Shrinker s) => s -> Theme -> l a -> ModifiedLayout (Decoration NoFrillsDecoration s) l a

Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.NoFrillsDecoration

Then edit your `layoutHook` by adding the NoFrillsDecoration to your layout:

     myL = noFrillsDeco shrinkText defaultTheme (layoutHook defaultConfig)
     main = xmonad defaultConfig { layoutHook = myL }

noFrillsDeco :: (Eq a, Shrinker s) => s -> Theme -> l a -> ModifiedLayout (Decoration NoFrillsDecoration s) l a | Source

Add very simple decorations to windows of a layout.
Produced by Haddock version 2.4.2